Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Using EclipseLink with latest Wildfly Version (24) ?
Using EclipseLink with latest Wildfly Version (24) ? [message #1842802] Thu, 01 July 2021 17:15 Go to next message
Ralph Soika is currently offline Ralph SoikaFriend
Messages: 186
Registered: July 2009
Senior Member
Has anyone experiences how to configure the latest Wildfly Release (v 24) to work with EclipseLink.

The documentation here seems to be outdated. because the jar file jipijapa-eclipselink-x.x.xFinal.jar is missing.

Is the jipijapa-eclipselink jar something which is provided by the EclipseLink project or is this something special of Wildfly?

Thanks for any help

===
Ralph
Re: Using EclipseLink with latest Wildfly Version (24) ? [message #1842809 is a reply to message #1842802] Thu, 01 July 2021 21:42 Go to previous messageGo to next message
Ralph Soika is currently offline Ralph SoikaFriend
Messages: 186
Registered: July 2009
Senior Member
To be more precise, I am testing Wildfly Jakarta ee9 preview. And I recognized that the missing jar is available in the Wildfly v24 Jakarta EE8 edition. I copied the missing elements form the Jakarta EE8 to the Jakarta EE9 version of wildfly. And now I understand that I need a eclipselink implementation based on Jakarta EE9
Re: Using EclipseLink with latest Wildfly Version (24) ? [message #1842810 is a reply to message #1842809] Thu, 01 July 2021 21:50 Go to previous message
Ralph Soika is currently offline Ralph SoikaFriend
Messages: 186
Registered: July 2009
Senior Member
With the latest version of eclipselink (3.0.2-SNAPSHOT) it works in Jakarta EE9 !
Previous Topic:JAXB/Moxy @XmlPath(".") conflicts with the XMLAdapter during the unmarshalling
Next Topic:JPA INSERT caused Oracle Version_Count increase High
Goto Forum:
  


Current Time: Sun Aug 14 07:50:52 GMT 2022

Powered by FUDForum. Page generated in 0.01370 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top